# File Formats:

* `.tree` file format:

    line 1:  number of vertices, numv

    following lines:  <int A> <int B>   edge from vertex A to B.  Vertices are numbered 0 .. numv-1


* `.result` files:

     line 1: size of largest independent set

     following lines: vertices of largest independent set (not necessarily unique)

# Program invocation

Your program should be callable like this:

    iss foo.tree foo.result

and should read foo.tree and write to foo.result.

# Test data

The `gen-trees` python script can create (more) test data.  Edit it near
the top create data of different sizes which you might need for plotting
the running time.  In particular, you might need larg(er) inputs.

# Verifier

The `verify-is` script checks if a written .result file represents an
independent set.  It does not check whether it is a *maximum* independent set,
however.

You can call it with two arguments, the `.tree` file and your `.result.` file.
For instance:

    [git|master] weasel@rentier:~/projects/uni/lehre/2019-aads-ps/assignments/extra-04/tree-is$ ./verify-is trees/rnd-00000010-00.tree trees/rnd-00000010-00.result
    IS: OK
    [git|master] weasel@rentier:~/projects/uni/lehre/2019-aads-ps/assignments/extra-04/tree-is$ ./verify-is trees/rnd-00000010-00.tree trees/rnd-00000010-01.result
    IS: FAIL

Or, to run it over many files:

    [git|master] weasel@rentier:~/projects/uni/lehre/2019-aads-ps/assignments/extra-04/tree-is$ for i in trees/*.tree ; do echo $i; ./verify-is $i ${i%.tree}.result ; done
    trees/rnd-00000010-00.tree
    IS: OK
    trees/rnd-00000010-01.tree
    IS: OK
    trees/rnd-00000010-02.tree
    IS: OK
    trees/rnd-00000010-03.tree
    IS: OK
    trees/rnd-00000020-00.tree
    IS: OK
    trees/rnd-00000020-01.tree
    IS: OK
    trees/rnd-00000020-02.tree
    IS: OK
    trees/rnd-00000020-03.tree
    IS: OK
    ....
